Subject: Re: PS1 and color of cygwin screen
From: "J. David Boyd" <[email-masked]>
To: "Cygwin" <[email-masked]>
Date: Wed, 20 Dec 2000 10:44:56 -0500

Thanks, that's the info I was looking for.

Dave

----- Original Message -----
From: "Bjoern Kahl AG Resy" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "J. David Boyd" <[email-masked]>
Sent: Wednesday, December 20, 2000 10:15 AM
Subject: Re: PS1 and color of cygwin screen

> On Wed, 20 Dec 2000, J. David Boyd wrote:
>
>  Hallo !
>
> > I mean that I am running light grey characters on a black background
(The
> > ms-dos prompt default in win98), and it is too hard on the eyes, with
not
> > enough contrast.  I want to use a white background with black letters.
>
>  Well, I would prefer white on black, but thats OT
>
> > I'll look in the man page for bash again, I must have missed it before.
>
>  In the man for bash you may find how to set things like
>  hostname or username in PS. For the colors, IIRC you should
>  read a description of the terminal. one example is the linux-
>  manpage console_codes (section 4 I think).
>  I dont have it here (so I may wrong) , but try looking for the
>  mode-commands: "<CSI> some_magic_numbers <m>"
>
>  Just tried it:
>  echo -e "\033[34m test" gives a blue "test" , 33 gives yellow.
>
>
>  Bjoern
>
>
> > ----- Original Message -----
> > From: "Reid Thompson" <[email-masked]>
>
> > > A man on bash will give information re the PS prompts
> > > -- when you say you wish to change the color of your
> > > env,, how do you mean?
>
> > > --- "J. David Boyd" <[email-masked]> wrote:
> > > > How about a clue as to what I need to read to
> > > > decipher what the different items in PS1 do?
>
> > > > I would like to change the color of my cygwin
> > > > environment, and I'm presuming that this is where I
> > > > would do it...
>
>
> --
> +---------------------------------------------------------------------+
> | Dipl.-Phys. Bjoern Kahl +++ AG Embedded Systems and Robotics (RESY) |
> | Informatics Faculty +++ Building 48 +++ University of Kaiserslautern|
> | phone: +49-631-205-2654 +++ www: http://resy.informatik.uni-kl.de   |
> +---------------------------------------------------------------------+
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple